Index: trunk/src/subprojects/particles/Makefile.in
===================================================================
--- trunk/src/subprojects/particles/Makefile.in	(revision 5315)
+++ trunk/src/subprojects/particles/Makefile.in	(revision 5348)
@@ -59,8 +59,8 @@
 	particles-vector.$(OBJEXT) \
 	particles-resource_manager.$(OBJEXT) \
-	particles-text_engine.$(OBJEXT) particles-render_2d.$(OBJEXT) \
-	particles-element_2d.$(OBJEXT) particles-p_node.$(OBJEXT) \
-	particles-null_parent.$(OBJEXT) particles-gui_gtk.$(OBJEXT) \
-	particles-substring.$(OBJEXT) particles-load_param.$(OBJEXT) \
+	particles-p_node.$(OBJEXT) particles-null_parent.$(OBJEXT) \
+	particles-gui_gtk.$(OBJEXT) particles-substring.$(OBJEXT) \
+	particles-load_param.$(OBJEXT) \
+	particles-helper_functions.$(OBJEXT) \
 	particles-factory.$(OBJEXT) particles-color.$(OBJEXT) \
 	particles-ini_parser.$(OBJEXT)
@@ -70,5 +70,7 @@
 	$(MAINSRCDIR)/lib/event/libORXevent.a \
 	$(MAINSRCDIR)/lib/particles/libORXparticles.a \
+	$(MAINSRCDIR)/lib/shell/libORXshell.a \
 	$(MAINSRCDIR)/lib/sound/libORXsound.a \
+	$(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
 	$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
 	$(MAINSRCDIR)/lib/physics/libORXphysics.a \
@@ -82,9 +84,9 @@
 @AMDEP_TRUE@	./$(DEPDIR)/particles-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-color.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/particles-element_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-graphics_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-gui_gtk.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/particles-helper_functions.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-ini_parser.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-light.Po \
@@ -93,9 +95,7 @@
 @AMDEP_TRUE@	./$(DEPDIR)/particles-p_node.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-particle_fun.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/particles-render_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-resource_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-state.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-substring.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/particles-text_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-vector.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-world_entity.Po
@@ -222,5 +222,7 @@
                   $(MAINSRCDIR)/lib/event/libORXevent.a \
                   $(MAINSRCDIR)/lib/particles/libORXparticles.a \
+                  $(MAINSRCDIR)/lib/shell/libORXshell.a \
                   $(MAINSRCDIR)/lib/sound/libORXsound.a \
+                  $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
                   $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
                   $(MAINSRCDIR)/lib/physics/libORXphysics.a \
@@ -242,12 +244,10 @@
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
-                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-                   $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc \
-                   $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc \
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
-                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc \
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+		   $(MAINSRCDIR)/lib/util/helper_functions.cc \
                    $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/lib/util/color.cc \
@@ -267,7 +267,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -324,9 +324,9 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-color.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-element_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-framework.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-graphics_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-gui_gtk.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-helper_functions.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-ini_parser.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-light.Po@am__quote@
@@ -335,9 +335,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-p_node.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-particle_fun.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-render_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-resource_manager.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-state.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-substring.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-text_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-vector.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-world_entity.Po@am__quote@
@@ -535,52 +533,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`
 
-particles-text_engine.o: $(MAINSRCDIR)/lib/graphics/text_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-text_engine.o -MD -MP -MF "$(DEPDIR)/particles-text_engine.Tpo" -c -o particles-text_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/text_engine.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-text_engine.Tpo" "$(DEPDIR)/particles-text_engine.Po"; else rm -f "$(DEPDIR)/particles-text_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/text_engine.cc' object='particles-text_engine.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-text_engine.Po' tmpdepfile='$(DEPDIR)/particles-text_engine.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-text_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/text_engine.cc
-
-particles-text_engine.obj: $(MAINSRCDIR)/lib/graphics/text_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-text_engine.obj -MD -MP -MF "$(DEPDIR)/particles-text_engine.Tpo" -c -o particles-text_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/text_engine.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-text_engine.Tpo" "$(DEPDIR)/particles-text_engine.Po"; else rm -f "$(DEPDIR)/particles-text_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/text_engine.cc' object='particles-text_engine.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-text_engine.Po' tmpdepfile='$(DEPDIR)/particles-text_engine.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-text_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/text_engine.cc'; fi`
-
-particles-render_2d.o: $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-render_2d.o -MD -MP -MF "$(DEPDIR)/particles-render_2d.Tpo" -c -o particles-render_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-render_2d.Tpo" "$(DEPDIR)/particles-render_2d.Po"; else rm -f "$(DEPDIR)/particles-render_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' object='particles-render_2d.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-render_2d.Po' tmpdepfile='$(DEPDIR)/particles-render_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-render_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc
-
-particles-render_2d.obj: $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-render_2d.obj -MD -MP -MF "$(DEPDIR)/particles-render_2d.Tpo" -c -o particles-render_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-render_2d.Tpo" "$(DEPDIR)/particles-render_2d.Po"; else rm -f "$(DEPDIR)/particles-render_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' object='particles-render_2d.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-render_2d.Po' tmpdepfile='$(DEPDIR)/particles-render_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-render_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; fi`
-
-particles-element_2d.o: $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-element_2d.o -MD -MP -MF "$(DEPDIR)/particles-element_2d.Tpo" -c -o particles-element_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-element_2d.Tpo" "$(DEPDIR)/particles-element_2d.Po"; else rm -f "$(DEPDIR)/particles-element_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' object='particles-element_2d.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-element_2d.Po' tmpdepfile='$(DEPDIR)/particles-element_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-element_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc
-
-particles-element_2d.obj: $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-element_2d.obj -MD -MP -MF "$(DEPDIR)/particles-element_2d.Tpo" -c -o particles-element_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-element_2d.Tpo" "$(DEPDIR)/particles-element_2d.Po"; else rm -f "$(DEPDIR)/particles-element_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' object='particles-element_2d.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-element_2d.Po' tmpdepfile='$(DEPDIR)/particles-element_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-element_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; fi`
-
 particles-p_node.o: $(MAINSRCDIR)/lib/coord/p_node.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-p_node.o -MD -MP -MF "$(DEPDIR)/particles-p_node.Tpo" -c -o particles-p_node.o `test -f '$(MAINSRCDIR)/lib/coord/p_node.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/coord/p_node.cc; \
@@ -615,19 +565,19 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-null_parent.obj `if test -f '$(MAINSRCDIR)/lib/coord/null_parent.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/coord/null_parent.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/coord/null_parent.cc'; fi`
 
-particles-gui_gtk.o: $(MAINSRCDIR)/lib/gui/gui_gtk.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.o -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gui_gtk.cc; \
+particles-gui_gtk.o: $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.o -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-gui_gtk.Tpo" "$(DEPDIR)/particles-gui_gtk.Po"; else rm -f "$(DEPDIR)/particles-gui_gtk.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gui_gtk.cc' object='particles-gui_gtk.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc' object='particles-gui_gtk.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-gui_gtk.Po' tmpdepfile='$(DEPDIR)/particles-gui_gtk.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gui_gtk.cc
-
-particles-gui_gtk.obj: $(MAINSRCDIR)/lib/gui/gui_gtk.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.obj -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc
+
+particles-gui_gtk.obj: $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.obj -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-gui_gtk.Tpo" "$(DEPDIR)/particles-gui_gtk.Po"; else rm -f "$(DEPDIR)/particles-gui_gtk.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gui_gtk.cc' object='particles-gui_gtk.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc' object='particles-gui_gtk.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-gui_gtk.Po' tmpdepfile='$(DEPDIR)/particles-gui_gtk.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; fi`
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc'; fi`
 
 particles-substring.o: $(MAINSRCDIR)/lib/util/substring.cc
@@ -662,4 +612,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
+
+particles-helper_functions.o: $(MAINSRCDIR)/lib/util/helper_functions.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-helper_functions.o -MD -MP -MF "$(DEPDIR)/particles-helper_functions.Tpo" -c -o particles-helper_functions.o `test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/helper_functions.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-helper_functions.Tpo" "$(DEPDIR)/particles-helper_functions.Po"; else rm -f "$(DEPDIR)/particles-helper_functions.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/helper_functions.cc' object='particles-helper_functions.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-helper_functions.Po' tmpdepfile='$(DEPDIR)/particles-helper_functions.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-helper_functions.o `test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/helper_functions.cc
+
+particles-helper_functions.obj: $(MAINSRCDIR)/lib/util/helper_functions.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-helper_functions.obj -MD -MP -MF "$(DEPDIR)/particles-helper_functions.Tpo" -c -o particles-helper_functions.obj `if test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/helper_functions.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/helper_functions.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-helper_functions.Tpo" "$(DEPDIR)/particles-helper_functions.Po"; else rm -f "$(DEPDIR)/particles-helper_functions.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/helper_functions.cc' object='particles-helper_functions.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-helper_functions.Po' tmpdepfile='$(DEPDIR)/particles-helper_functions.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-helper_functions.obj `if test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/helper_functions.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/helper_functions.cc'; fi`
 
 particles-factory.o: $(MAINSRCDIR)/util/loading/factory.cc