Index: trunk/src/subprojects/importer/Makefile.in
===================================================================
--- trunk/src/subprojects/importer/Makefile.in	(revision 5348)
+++ trunk/src/subprojects/importer/Makefile.in	(revision 5349)
@@ -52,9 +52,8 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_importer_OBJECTS = importer-framework.$(OBJEXT) \
-	importer-importer.$(OBJEXT) importer-light.$(OBJEXT) \
-	importer-state.$(OBJEXT) importer-camera.$(OBJEXT) \
-	importer-graphics_engine.$(OBJEXT) \
-	importer-base_object.$(OBJEXT) importer-class_list.$(OBJEXT) \
-	importer-vector.$(OBJEXT) importer-resource_manager.$(OBJEXT) \
+	importer-importer.$(OBJEXT) importer-state.$(OBJEXT) \
+	importer-camera.$(OBJEXT) importer-base_object.$(OBJEXT) \
+	importer-class_list.$(OBJEXT) importer-vector.$(OBJEXT) \
+	importer-resource_manager.$(OBJEXT) \
 	importer-ini_parser.$(OBJEXT) importer-p_node.$(OBJEXT) \
 	importer-null_parent.$(OBJEXT) importer-load_param.$(OBJEXT) \
@@ -78,9 +77,7 @@
 @AMDEP_TRUE@	./$(DEPDIR)/importer-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-framework.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/importer-graphics_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-helper_functions.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-importer.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-ini_parser.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/importer-light.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-load_param.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-null_parent.Po \
@@ -220,8 +217,6 @@
 importer_SOURCES = ../framework.cc \
                   importer.cc \
-                  $(MAINSRCDIR)/lib/graphics/light.cc \
                   $(MAINSRCDIR)/util/state.cc \
                   $(MAINSRCDIR)/world_entities/camera.cc \
-                  $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                   $(MAINSRCDIR)/lib/lang/base_object.cc \
                   $(MAINSRCDIR)/lib/lang/class_list.cc \
@@ -250,7 +245,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -309,9 +304,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-framework.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-graphics_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-helper_functions.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-importer.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-ini_parser.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-light.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-load_param.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-null_parent.Po@am__quote@
@@ -370,20 +363,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-importer.obj `if test -f 'importer.cc'; then $(CYGPATH_W) 'importer.cc'; else $(CYGPATH_W) '$(srcdir)/importer.cc'; fi`
 
-importer-light.o: $(MAINSRCDIR)/lib/graphics/light.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-light.o -MD -MP -MF "$(DEPDIR)/importer-light.Tpo" -c -o importer-light.o `test -f '$(MAINSRCDIR)/lib/graphics/light.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/light.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-light.Tpo" "$(DEPDIR)/importer-light.Po"; else rm -f "$(DEPDIR)/importer-light.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/light.cc' object='importer-light.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-light.Po' tmpdepfile='$(DEPDIR)/importer-light.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-light.o `test -f '$(MAINSRCDIR)/lib/graphics/light.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/light.cc
-
-importer-light.obj: $(MAINSRCDIR)/lib/graphics/light.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-light.obj -MD -MP -MF "$(DEPDIR)/importer-light.Tpo" -c -o importer-light.obj `if test -f '$(MAINSRCDIR)/lib/graphics/light.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/light.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/light.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-light.Tpo" "$(DEPDIR)/importer-light.Po"; else rm -f "$(DEPDIR)/importer-light.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/light.cc' object='importer-light.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-light.Po' tmpdepfile='$(DEPDIR)/importer-light.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-light.obj `if test -f '$(MAINSRCDIR)/lib/graphics/light.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/light.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/light.cc'; fi`
-
 importer-state.o: $(MAINSRCDIR)/util/state.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-state.o -MD -MP -MF "$(DEPDIR)/importer-state.Tpo" -c -o importer-state.o `test -f '$(MAINSRCDIR)/util/state.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/state.cc; \
@@ -417,20 +394,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-camera.obj `if test -f '$(MAINSRCDIR)/world_entities/camera.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/world_entities/camera.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/world_entities/camera.cc'; fi`
-
-importer-graphics_engine.o: $(MAINSRCDIR)/lib/graphics/graphics_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-graphics_engine.o -MD -MP -MF "$(DEPDIR)/importer-graphics_engine.Tpo" -c -o importer-graphics_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/graphics_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/graphics_engine.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-graphics_engine.Tpo" "$(DEPDIR)/importer-graphics_engine.Po"; else rm -f "$(DEPDIR)/importer-graphics_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/graphics_engine.cc' object='importer-graphics_engine.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-graphics_engine.Po' tmpdepfile='$(DEPDIR)/importer-graphics_engine.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-graphics_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/graphics_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/graphics_engine.cc
-
-importer-graphics_engine.obj: $(MAINSRCDIR)/lib/graphics/graphics_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-graphics_engine.obj -MD -MP -MF "$(DEPDIR)/importer-graphics_engine.Tpo" -c -o importer-graphics_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/graphics_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/graphics_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/graphics_engine.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-graphics_engine.Tpo" "$(DEPDIR)/importer-graphics_engine.Po"; else rm -f "$(DEPDIR)/importer-graphics_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/graphics_engine.cc' object='importer-graphics_engine.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-graphics_engine.Po' tmpdepfile='$(DEPDIR)/importer-graphics_engine.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-graphics_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/graphics_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/graphics_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/graphics_engine.cc'; fi`
 
 importer-base_object.o: $(MAINSRCDIR)/lib/lang/base_object.cc