Index: trunk/src/lib/Makefile.am
===================================================================
--- trunk/src/lib/Makefile.am	(revision 5349)
+++ trunk/src/lib/Makefile.am	(revision 5350)
@@ -4,5 +4,5 @@
 noinst_LIBRARIES = libORXlibs.a
 
-libORXlibs_a_DEPENDENCIES = gui/gtk_gui/libORXgui.a \
+#libORXlibs_a_DEPENDENCIES = gui/gtk_gui/libORXgui.a \
                             gui/gl_gui/libORXglgui.a \
                             graphics/importer/libORXimporter.a \
@@ -17,5 +17,5 @@
                             shell/libORXshell.a
 
-libORXlibs_a_LIBDADD =      gui/gtk_gui/libORXgui.a \
+#libORXlibs_a_LIBDADD =      gui/gtk_gui/libORXgui.a \
                             gui/gl_gui/libORXglgui.a \
                             graphics/importer/libORXimporter.a \
@@ -41,5 +41,4 @@
                         math/vector.cc \
                         math/curve.cc
-
 
 noinst_HEADERS =        coord/p_node.h \
Index: trunk/src/lib/Makefile.in
===================================================================
--- trunk/src/lib/Makefile.in	(revision 5349)
+++ trunk/src/lib/Makefile.in	(revision 5350)
@@ -197,31 +197,31 @@
 MAINSRCDIR = ..
 noinst_LIBRARIES = libORXlibs.a
-libORXlibs_a_DEPENDENCIES = gui/gtk_gui/libORXgui.a \
-                            gui/gl_gui/libORXglgui.a \
-                            graphics/importer/libORXimporter.a \
-                            graphics/libORXgraphics.a \
-                            sound/libORXsound.a \
-                            event/libORXevent.a \
-                            physics/libORXphysics.a \
-                            particles/libORXparticles.a \
-                            collision_detection/libORXcd.a \
-                            graphics/spatial_separation/libORXquadtree.a \
-                            tinyxml/libtinyxml.a \
-                            shell/libORXshell.a
-
-libORXlibs_a_LIBDADD = gui/gtk_gui/libORXgui.a \
-                            gui/gl_gui/libORXglgui.a \
-                            graphics/importer/libORXimporter.a \
-                            graphics/libORXgraphics.a \
-                            sound/libORXsound.a \
-                            event/libORXevent.a \
-                            physics/libORXphysics.a \
-                            particles/libORXparticles.a \
-                            collision_detection/libORXcd.a \
-                            graphics/spatial_separation/libORXquadtree.a \
-                            tinyxml/libtinyxml.a \
-                            shell/libORXshell.a \
-                            $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
-
+
+#libORXlibs_a_DEPENDENCIES = gui/gtk_gui/libORXgui.a \
+#                            gui/gl_gui/libORXglgui.a \
+#                            graphics/importer/libORXimporter.a \
+#                            graphics/libORXgraphics.a \
+#                            sound/libORXsound.a \
+#                            event/libORXevent.a \
+#                            physics/libORXphysics.a \
+#                            particles/libORXparticles.a \
+#                            collision_detection/libORXcd.a \
+#                            graphics/spatial_separation/libORXquadtree.a \
+#                            tinyxml/libtinyxml.a \
+#                            shell/libORXshell.a
+
+#libORXlibs_a_LIBDADD =      gui/gtk_gui/libORXgui.a \
+#                            gui/gl_gui/libORXglgui.a \
+#                            graphics/importer/libORXimporter.a \
+#                            graphics/libORXgraphics.a \
+#                            sound/libORXsound.a \
+#                            event/libORXevent.a \
+#                            physics/libORXphysics.a \
+#                            particles/libORXparticles.a \
+#                            collision_detection/libORXcd.a \
+#                            graphics/spatial_separation/libORXquadtree.a \
+#                            tinyxml/libtinyxml.a \
+#                            shell/libORXshell.a \
+#                            $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 libORXlibs_a_SOURCES = coord/p_node.cc \
                         coord/null_parent.cc \