Index: /data/media/levels/sample3.oxw
===================================================================
--- /data/media/levels/sample3.oxw	(revision 5353)
+++ /data/media/levels/sample3.oxw	(revision 5354)
@@ -13,11 +13,14 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/Starbox"
+   skybox       = "Orxonox/skypanoramagen1"
   >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <!-- This is for Orxonox/Starbox -- Light type=directional position="0,0,0" direction="0.817, -0.400, 0.415" diffuse="1.0, 0.9, 0.6, 1.0" specular="1.0, 0.9, 0.6, 1.0" /-->
+
     <SpawnPoint position="0,   0,  100"           spawnclass=SpaceShip pawndesign=spaceshipassff />
     <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
     <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff />
 
-    <GlobalShader compositor="Old TV" visible=false>
+    <GlobalShader compositor="Bloom" visible=false>
       <events>
         <visibility>
Index: /data/media/levels/spaceshiptemplates3.oxw
===================================================================
--- /data/media/levels/spaceshiptemplates3.oxw	(revision 5353)
+++ /data/media/levels/spaceshiptemplates3.oxw	(revision 5354)
@@ -6,5 +6,5 @@
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
-   explosionchunks        = 7
+   explosionchunks        = 6
 
    health            = 100
@@ -18,8 +18,6 @@
     <attached>
       <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
-      <!--Light position="0,0,20" diffuse="0,0,1" specular="0,0,1" type=point /-->
       <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
       <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-      <!--ParticleEmitter position="0,0,-100" source="Orxonox/smoke5" /-->
     </attached>
   </SpaceShip>
@@ -30,4 +28,5 @@
     <camerapositions>
       <CameraPosition position="0,10,40" />
+      <CameraPosition position="0,20,80" />
       <CameraPosition position="0,150,-25" pitch=-90 />
       <CameraPosition position="0,0,-30" yaw=180 />
@@ -56,4 +55,6 @@
     <active>
       <FadingBillboard mainstate=activity active=false scale=0.1 position="0, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <Light mainstate=visibility position=" 8, 0, 8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
+      <Light mainstate=visibility position="-8, 0, 8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
     </active>
     <forward>
Index: /data/media/materials/scripts/OrxonoxSky.material
===================================================================
--- /data/media/materials/scripts/OrxonoxSky.material	(revision 5353)
+++ /data/media/materials/scripts/OrxonoxSky.material	(revision 5354)
@@ -1,2 +1,20 @@
+material Orxonox/skypanoramagen1
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+
+			texture_unit
+			{
+				cubic_texture skypanoramagen1.jpg separateUV
+				tex_address_mode clamp
+			}
+		}
+	}
+}
+
 material Orxonox/Starbox
 {
Index: /data/media/particle/explosion2b.particle
===================================================================
--- /data/media/particle/explosion2b.particle	(revision 5354)
+++ /data/media/particle/explosion2b.particle	(revision 5354)
@@ -0,0 +1,67 @@
+
+Orxonox/explosion2b
+{
+	quota	150
+	material	PE/explosion
+	particle_width	20
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Ellipsoid
+	{
+		angle	180
+		colour	0 0 0 1
+		colour_range_start	0 0 0 1
+		colour_range_end	0 0 0 1
+		direction	0 1 0
+		emission_rate	300
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	75
+		time_to_live	0.75
+		time_to_live_min	0.75
+		time_to_live_max	0.75
+		duration	0.5
+		duration_min	0.5
+		duration_max	0.5
+		repeat_delay	5
+		repeat_delay_min	5
+		repeat_delay_max	5
+		width	20
+		height	20
+		depth	0
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0.8 1 1 0
+		time0	0
+		colour1	0.5 0.7 1 0
+		time1	0.5
+		colour2	0.2 0.3 0.5 0
+		time2	0.7
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}