Index: trunk/src/defs/debug.h
===================================================================
--- trunk/src/defs/debug.h	(revision 5356)
+++ trunk/src/defs/debug.h	(revision 5357)
@@ -70,6 +70,4 @@
 #define DEBUG_MODULE_GRAPHICS           2
 #define DEBUG_MODULE_EVENT              2
-#define DEBUG_MODULE_FONT               2
-#define DEBUG_MODULE_PARTICLE           2
 #define DEBUG_MODULE_PHYSICS            2
 #define DEBUG_MODULE_GARBAGE_COLLECTOR  2
@@ -82,10 +80,8 @@
 #define DEBUG_MODULE_TRACK_MANAGER      2
 #define DEBUG_MODULE_MATH               2
-#define DEBUG_MODULE_LIGHT              2
 
 #define DEBUG_MODULE_PNODE              2
 #define DEBUG_MODULE_WORLD_ENTITY       2
 
-#define DEBUG_MODULE_PLAYER             2
 #define DEBUG_MODULE_WEAPON             2
 
Index: trunk/src/lib/graphics/light.cc
===================================================================
--- trunk/src/lib/graphics/light.cc	(revision 5356)
+++ trunk/src/lib/graphics/light.cc	(revision 5357)
@@ -16,5 +16,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_LIGHT
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "light.h"
Index: trunk/src/lib/graphics/text_engine/font.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/font.cc	(revision 5356)
+++ trunk/src/lib/graphics/text_engine/font.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_FONT
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "font.h"
Index: trunk/src/lib/graphics/text_engine/text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text.cc	(revision 5356)
+++ trunk/src/lib/graphics/text_engine/text.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_FONT
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "text.h"
Index: trunk/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text_engine.cc	(revision 5356)
+++ trunk/src/lib/graphics/text_engine/text_engine.cc	(revision 5357)
@@ -20,5 +20,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_FONT
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "text_engine.h"
Index: trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- trunk/src/lib/particles/particle_emitter.cc	(revision 5356)
+++ trunk/src/lib/particles/particle_emitter.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PARTICLE
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "particle_emitter.h"
Index: trunk/src/lib/particles/particle_engine.cc
===================================================================
--- trunk/src/lib/particles/particle_engine.cc	(revision 5356)
+++ trunk/src/lib/particles/particle_engine.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PARTICLE
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "particle_engine.h"
Index: trunk/src/lib/particles/particle_system.cc
===================================================================
--- trunk/src/lib/particles/particle_system.cc	(revision 5356)
+++ trunk/src/lib/particles/particle_system.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PARTICLE
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "particle_system.h"
Index: trunk/src/lib/physics/fields/field.cc
===================================================================
--- trunk/src/lib/physics/fields/field.cc	(revision 5356)
+++ trunk/src/lib/physics/fields/field.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
 #include "field.h"
Index: trunk/src/lib/physics/fields/gravity.cc
===================================================================
--- trunk/src/lib/physics/fields/gravity.cc	(revision 5356)
+++ trunk/src/lib/physics/fields/gravity.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
 #include "gravity.h"
Index: trunk/src/lib/physics/fields/point_gravity.cc
===================================================================
--- trunk/src/lib/physics/fields/point_gravity.cc	(revision 5356)
+++ trunk/src/lib/physics/fields/point_gravity.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
 #include "point_gravity.h"
Index: trunk/src/lib/physics/fields/twirl.cc
===================================================================
--- trunk/src/lib/physics/fields/twirl.cc	(revision 5356)
+++ trunk/src/lib/physics/fields/twirl.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
 #include "twirl.h"
Index: trunk/src/lib/physics/physics_connection.cc
===================================================================
--- trunk/src/lib/physics/physics_connection.cc	(revision 5356)
+++ trunk/src/lib/physics/physics_connection.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
 #include "physics_connection.h"
Index: trunk/src/util/fast_factory.h
===================================================================
--- trunk/src/util/fast_factory.h	(revision 5356)
+++ trunk/src/util/fast_factory.h	(revision 5357)
@@ -139,5 +139,4 @@
 tFastFactory<T>* tFastFactory<T>::getFastFactory(ClassID classID, const char* fastFactoryName)
 {
-  printf("cool\n");
   tFastFactory<T>* tmpFac = NULL;
   if (FastFactory::getFirst() != NULL)
Index: trunk/src/util/loading/factory.h
===================================================================
--- trunk/src/util/loading/factory.h	(revision 5356)
+++ trunk/src/util/loading/factory.h	(revision 5357)
@@ -84,5 +84,5 @@
 tFactory<T>::tFactory(const char* factoryName) : Factory(factoryName)
 {
- printf("Class: %s loadable\n", this->getName());
+  PRINTF(4)("Class: %s loadable\n", this->getName());
 }
 
Index: trunk/src/world_entities/camera.cc
===================================================================
--- trunk/src/world_entities/camera.cc	(revision 5356)
+++ trunk/src/world_entities/camera.cc	(revision 5357)
@@ -15,4 +15,5 @@
    co-programmer: ...
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 #include "camera.h"
Index: trunk/src/world_entities/environment.cc
===================================================================
--- trunk/src/world_entities/environment.cc	(revision 5356)
+++ trunk/src/world_entities/environment.cc	(revision 5357)
@@ -15,4 +15,5 @@
    co-programmer:
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
Index: trunk/src/world_entities/npc.cc
===================================================================
--- trunk/src/world_entities/npc.cc	(revision 5356)
+++ trunk/src/world_entities/npc.cc	(revision 5357)
@@ -15,4 +15,5 @@
    co-programmer:
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
Index: trunk/src/world_entities/npc2.cc
===================================================================
--- trunk/src/world_entities/npc2.cc	(revision 5356)
+++ trunk/src/world_entities/npc2.cc	(revision 5357)
@@ -15,4 +15,5 @@
    co-programmer:
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
Index: trunk/src/world_entities/player.cc
===================================================================
--- trunk/src/world_entities/player.cc	(revision 5356)
+++ trunk/src/world_entities/player.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PLAYER
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 #include "player.h"
Index: trunk/src/world_entities/satellite.cc
===================================================================
--- trunk/src/world_entities/satellite.cc	(revision 5356)
+++ trunk/src/world_entities/satellite.cc	(revision 5357)
@@ -15,4 +15,5 @@
    co-programmer:
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
Index: trunk/src/world_entities/skybox.cc
===================================================================
--- trunk/src/world_entities/skybox.cc	(revision 5356)
+++ trunk/src/world_entities/skybox.cc	(revision 5357)
@@ -1,3 +1,2 @@
-
 /*
    orxonox - the future of 3D-vertical-scrollers
@@ -17,16 +16,15 @@
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
-
 #include "skybox.h"
 
 #include "load_param.h"
 #include "factory.h"
-#include "list.h"
 
 using namespace std;
+
 CREATE_FACTORY(SkyBox);
 
 /**
- *  Constructs a SkyBox and takes fileName as a map.
+ * Constructs a SkyBox and takes fileName as a map.
  * @param fileName the file to take as input for the SkyBox
 */
Index: trunk/src/world_entities/skybox.h
===================================================================
--- trunk/src/world_entities/skybox.h	(revision 5356)
+++ trunk/src/world_entities/skybox.h	(revision 5357)
@@ -1,8 +1,8 @@
 /*!
  * @file skybox.h
-  *  Definition of the SkyBox, that handles the Display of an atmosphere for orxonox.
-
-    A SkyBox is always centered at the current working Camera, and will only obey the cameras
-    movment but not its rotation.
+ *  Definition of the SkyBox, that handles the Display of an atmosphere for orxonox.
+ *
+ * A SkyBox is always centered at the current working Camera, and will only obey the cameras
+ * movment but not its rotation.
 */
 
@@ -14,6 +14,4 @@
 
 /* FORWARD DEFINITION */
-class Material;
-class Vector;
 
 //! A Class to handle a SkyBox
@@ -26,4 +24,5 @@
   virtual ~SkyBox();
 
+  void init();
   void preInit();
 
@@ -35,5 +34,5 @@
   void setSize(float size);
   /** assumes jpg as input-format */
-  void setTexture(const char* name) { setTextureAndType (name, "jpg"); };
+  void setTexture(const char* name) { this->setTextureAndType (name, "jpg"); };
 
   void setTextureAndType(const char* name, const char* extension);
Index: trunk/src/world_entities/terrain.cc
===================================================================
--- trunk/src/world_entities/terrain.cc	(revision 5356)
+++ trunk/src/world_entities/terrain.cc	(revision 5357)
@@ -13,4 +13,5 @@
    co-programmer: ...
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
@@ -27,6 +28,5 @@
 /**
  *  standard constructor
-
-*/
+ */
 Terrain::Terrain (const TiXmlElement* root)
 {
Index: trunk/src/world_entities/terrain.h
===================================================================
--- trunk/src/world_entities/terrain.h	(revision 5356)
+++ trunk/src/world_entities/terrain.h	(revision 5357)
@@ -13,6 +13,5 @@
 #include "world_entity.h"
 
-// FORWARD DEFINITION \\
-class TiXmlElement;
+// FORWARD DEFINITION
 class SpatialSeparation;
 
Index: trunk/src/world_entities/test_entity.cc
===================================================================
--- trunk/src/world_entities/test_entity.cc	(revision 5356)
+++ trunk/src/world_entities/test_entity.cc	(revision 5357)
@@ -15,4 +15,5 @@
    co-programmer:
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
Index: trunk/src/world_entities/weapons/crosshair.cc
===================================================================
--- trunk/src/world_entities/weapons/crosshair.cc	(revision 5356)
+++ trunk/src/world_entities/weapons/crosshair.cc	(revision 5357)
@@ -14,5 +14,5 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
 
 #include "crosshair.h"
Index: trunk/src/world_entities/weapons/projectile.cc
===================================================================
--- trunk/src/world_entities/weapons/projectile.cc	(revision 5356)
+++ trunk/src/world_entities/weapons/projectile.cc	(revision 5357)
@@ -15,5 +15,5 @@
    co-programmer:
 */
-
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
 
 #include "projectile.h"
Index: trunk/src/world_entities/weapons/test_bullet.cc
===================================================================
--- trunk/src/world_entities/weapons/test_bullet.cc	(revision 5356)
+++ trunk/src/world_entities/weapons/test_bullet.cc	(revision 5357)
@@ -15,5 +15,5 @@
    co-programmer:
 */
-
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
 
 #include "test_bullet.h"
Index: trunk/src/world_entities/weapons/test_gun.cc
===================================================================
--- trunk/src/world_entities/weapons/test_gun.cc	(revision 5356)
+++ trunk/src/world_entities/weapons/test_gun.cc	(revision 5357)
@@ -19,5 +19,5 @@
    @todo: a target to set/hit
 */
-
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
 
 #include "test_gun.h"
Index: trunk/src/world_entities/weapons/turret.cc
===================================================================
--- trunk/src/world_entities/weapons/turret.cc	(revision 5356)
+++ trunk/src/world_entities/weapons/turret.cc	(revision 5357)
@@ -13,5 +13,5 @@
    co-programmer:
 */
-
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
 
 #include "turret.h"
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 5356)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 5357)
@@ -169,8 +169,8 @@
 void Weapon::prepareProjectiles(unsigned int count)
 {
-  if (this->projectileFactory != NULL)
+  if (likely(this->projectileFactory != NULL))
     projectileFactory->prepare(count);
   else
-    PRINTF(2)("unable to create %d projectile for Weapon %s\n", count, this->getName());
+    PRINTF(2)("unable to create %d projectile for Weapon %s (%s)\n", count, this->getName(), this->getClassName());
 }
 
@@ -181,9 +181,9 @@
 Projectile* Weapon::getProjectile()
 {
-  if (this->projectileFactory)
+  if (likely (this->projectileFactory != NULL))
     return dynamic_cast<Projectile*>(this->projectileFactory->resurrect());
   else
   {
-    PRINTF(2)("No projectile defined for Weapon %s cant return any\n", this->getName());
+    PRINTF(2)("No projectile defined for Weapon %s(%s) cant return any\n", this->getName(), this->getClassName());
     return NULL;
   }