Index: /trunk/src/lib/gui/gl_gui/glgui.h
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui.h	(revision 5358)
+++ /trunk/src/lib/gui/gl_gui/glgui.h	(revision 5359)
@@ -0,0 +1,16 @@
+/*!
+ * @file glgui.h
+ * includes all the Files the GLGui knows.
+ */
+
+#ifndef _GLGUI_H
+#define _GLGUI_H
+
+#include "glgui_widget.h"
+
+
+
+
+
+
+#endif _GLGUI_H
Index: /trunk/src/lib/gui/gl_gui/glgui_pushbutton.cc
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_pushbutton.cc	(revision 5359)
+++ /trunk/src/lib/gui/gl_gui/glgui_pushbutton.cc	(revision 5359)
@@ -0,0 +1,50 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "proto_class.h"
+
+using namespace std;
+
+
+/**
+ * standard constructor
+ * @todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass ()
+{
+   this->setClassID(CL_PROTO_ID, "ProtoClass");
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+        make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+ * standard deconstructor
+*/
+ProtoClass::~ProtoClass ()
+{
+  // delete what has to be deleted here
+}
Index: /trunk/src/lib/gui/gl_gui/glgui_pushbutton.h
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_pushbutton.h	(revision 5359)
+++ /trunk/src/lib/gui/gl_gui/glgui_pushbutton.h	(revision 5359)
@@ -0,0 +1,27 @@
+/*!
+ * @file proto_class.h
+ * @brief Definition of ...
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "base_object.h"
+
+// FORWARD DECLARATION
+
+
+
+//! A class for ...
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+
+ private:
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: /trunk/src/lib/gui/gl_gui/glgui_widget.cc
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_widget.cc	(revision 5359)
+++ /trunk/src/lib/gui/gl_gui/glgui_widget.cc	(revision 5359)
@@ -0,0 +1,55 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
+
+#include "glgui_.h"
+
+using namespace std;
+
+/**
+ * standard constructor
+*/
+GLGui::GLGui ()
+{
+  this->init();
+
+}
+
+
+/**
+ * standard deconstructor
+*/
+GLGui::~GLGui()
+{
+
+}
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: /trunk/src/lib/gui/gl_gui/glgui_widget.h
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_widget.h	(revision 5359)
+++ /trunk/src/lib/gui/gl_gui/glgui_widget.h	(revision 5359)
@@ -0,0 +1,32 @@
+/*!
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
+
+#ifndef _GLGUI__H
+#define _GLGUI__H
+
+#include "base_object.h"
+
+// FORWARD DECLARATION
+
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
+
+ public:
+  GLGui();
+  virtual ~GLGui();
+
+  void init();
+
+  virtual void draw();
+
+ private:
+
+};
+
+#endif /* _GLGUI__H */