Index: trunk/src/lib/graphics/text_engine/text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text.cc	(revision 5360)
+++ trunk/src/lib/graphics/text_engine/text.cc	(revision 5362)
@@ -55,4 +55,7 @@
 }
 
+/**
+ * initializes Text
+ */
 void Text::init()
 {
@@ -112,5 +115,5 @@
 
 /**
- *  Sets a new Text to the font
+ * Sets a new Text to the font
  * @param text the new text to set
  */
@@ -167,5 +170,5 @@
 
 /**
- *  creates a texture out of the given parameters
+ *  creates a texture out of the given parameters !! TEXT_STATIC !! - mode
  *
  * this has to be called every time by the user, to if changes were made.
Index: trunk/src/lib/graphics/text_engine/text.h
===================================================================
--- trunk/src/lib/graphics/text_engine/text.h	(revision 5360)
+++ trunk/src/lib/graphics/text_engine/text.h	(revision 5362)
@@ -34,5 +34,6 @@
  ** Use this type, if you want to create fast changing
  ** text like a counter.
- */typedef enum TEXT_RENDER_TYPE
+ */
+typedef enum TEXT_RENDER_TYPE
 {
   TEXT_RENDER_STATIC      = 1,
@@ -49,8 +50,4 @@
 };
 
-
-////////////
-/// TEXT ///
-////////////
 //! Represents one textElement.
 class Text : public Element2D
@@ -69,5 +66,4 @@
     /** @param blending the blending intensity to set (between 0.0 and 1.0) */
     inline void setBlending(float blending) { this->blending = blending; };
-
     /** sets the Color of the Text to render (values in [0-1]) @param r red @param g green @param b blue */
     void setColor(float r, float g, float b) { this->color = Vector(r,g,b); };
Index: trunk/src/lib/gui/gl_gui/Makefile.am
===================================================================
--- trunk/src/lib/gui/gl_gui/Makefile.am	(revision 5360)
+++ trunk/src/lib/gui/gl_gui/Makefile.am	(revision 5362)
@@ -2,16 +2,19 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-AM_LDFLAGS = 
+AM_LDFLAGS =
 
-noinst_LIBRARIES = libORXglgui.a 
+noinst_LIBRARIES = libORXglgui.a
 
 libORXglgui_a_CPPFLAGS = -DBUILD_ORXONOX
 
 
-libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc
+libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc \
+                        glgui_widget.cc
 
-noinst_HEADERS= glmenu/glmenu_imagescreen.h
+noinst_HEADERS= glmenu/glmenu_imagescreen.h \
+		glgui.h \
+		glgui_widget.h
 
 
-EXTRA_DIST = 
+EXTRA_DIST =
 
Index: trunk/src/lib/gui/gl_gui/Makefile.in
===================================================================
--- trunk/src/lib/gui/gl_gui/Makefile.in	(revision 5360)
+++ trunk/src/lib/gui/gl_gui/Makefile.in	(revision 5362)
@@ -54,10 +54,11 @@
 libORXglgui_a_AR = $(AR) $(ARFLAGS)
 libORXglgui_a_LIBADD =
-am_libORXglgui_a_OBJECTS = libORXglgui_a-glmenu_imagescreen.$(OBJEXT)
+am_libORXglgui_a_OBJECTS = libORXglgui_a-glmenu_imagescreen.$(OBJEXT) \
+	libORXglgui_a-glgui_widget.$(OBJEXT)
 libORXglgui_a_OBJECTS = $(am_libORXglgui_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES =  \
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/libORXglgui_a-glgui_widget.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
@@ -182,8 +183,13 @@
 MAINSRCDIR = ../../..
 AM_LDFLAGS = 
-noinst_LIBRARIES = libORXglgui.a 
+noinst_LIBRARIES = libORXglgui.a
 libORXglgui_a_CPPFLAGS = -DBUILD_ORXONOX
-libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc
-noinst_HEADERS = glmenu/glmenu_imagescreen.h
+libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc \
+                        glgui_widget.cc
+
+noinst_HEADERS = glmenu/glmenu_imagescreen.h \
+		glgui.h \
+		glgui_widget.h
+
 EXTRA_DIST = 
 all: all-am
@@ -234,4 +240,5 @@
 	-rm -f *.tab.c
 
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libORXglgui_a-glgui_widget.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po@am__quote@
 
@@ -267,4 +274,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXglgui_a-glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`
+
+libORXglgui_a-glgui_widget.o: glgui_widget.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libORXglgui_a-glgui_widget.o -MD -MP -MF "$(DEPDIR)/libORXglgui_a-glgui_widget.Tpo" -c -o libORXglgui_a-glgui_widget.o `test -f 'glgui_widget.cc' || echo '$(srcdir)/'`glgui_widget.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXglgui_a-glgui_widget.Tpo" "$(DEPDIR)/libORXglgui_a-glgui_widget.Po"; else rm -f "$(DEPDIR)/libORXglgui_a-glgui_widget.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glgui_widget.cc' object='libORXglgui_a-glgui_widget.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXglgui_a-glgui_widget.Po' tmpdepfile='$(DEPDIR)/libORXglgui_a-glgui_widget.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXglgui_a-glgui_widget.o `test -f 'glgui_widget.cc' || echo '$(srcdir)/'`glgui_widget.cc
+
+libORXglgui_a-glgui_widget.obj: glgui_widget.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libORXglgui_a-glgui_widget.obj -MD -MP -MF "$(DEPDIR)/libORXglgui_a-glgui_widget.Tpo" -c -o libORXglgui_a-glgui_widget.obj `if test -f 'glgui_widget.cc'; then $(CYGPATH_W) 'glgui_widget.cc'; else $(CYGPATH_W) '$(srcdir)/glgui_widget.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXglgui_a-glgui_widget.Tpo" "$(DEPDIR)/libORXglgui_a-glgui_widget.Po"; else rm -f "$(DEPDIR)/libORXglgui_a-glgui_widget.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glgui_widget.cc' object='libORXglgui_a-glgui_widget.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXglgui_a-glgui_widget.Po' tmpdepfile='$(DEPDIR)/libORXglgui_a-glgui_widget.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXglgui_a-glgui_widget.obj `if test -f 'glgui_widget.cc'; then $(CYGPATH_W) 'glgui_widget.cc'; else $(CYGPATH_W) '$(srcdir)/glgui_widget.cc'; fi`
 uninstall-info-am:
 
Index: trunk/src/lib/gui/gl_gui/glgui_widget.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_widget.cc	(revision 5360)
+++ trunk/src/lib/gui/gl_gui/glgui_widget.cc	(revision 5362)
@@ -16,5 +16,5 @@
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "glgui_.h"
+#include "glgui_widget.h"
 
 using namespace std;
@@ -23,5 +23,5 @@
  * standard constructor
 */
-GLGui::GLGui ()
+GLGuiWidget::GLGuiWidget ()
 {
   this->init();
@@ -33,5 +33,24 @@
  * standard deconstructor
 */
-GLGui::~GLGui()
+GLGuiWidget::~GLGuiWidget()
+{
+
+}
+
+
+/**
+ * initializes the GUI-element
+ */
+void GLGuiWidget::init()
+{
+  this->setClassID(CL_GLGUI_WIDGET, "GLGuiWidget");
+
+}
+
+
+/**
+ * draws the GLGuiWidget
+ */
+void GLGuiWidget::draw()
 {
 
@@ -39,16 +58,7 @@
 
 /**
- * initializes the GUI-element
+ * updates a GLGuiWidget
  */
-GLGui::init()
-{
-  this->setClassID(CL_GLGUI_, "GLGui");
-
-}
-
-/**
- * draws the GLGui
- */
-void GLGui::draw()
+void GLGuiWidget::update()
 {
 
Index: trunk/src/lib/gui/gl_gui/glgui_widget.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_widget.h	(revision 5360)
+++ trunk/src/lib/gui/gl_gui/glgui_widget.h	(revision 5362)
@@ -1,12 +1,11 @@
 /*!
- * @file glgui_.h
- * The gl_ widget of th openglGUI
- *
+ * @file glgui_widget.h
+ * The gl_widget of the openglGUI
  */
 
-#ifndef _GLGUI__H
-#define _GLGUI__H
+#ifndef _GLGUI_WIDGET_H
+#define _GLGUI_WIDGET_H
 
-#include "base_object.h"
+#include "element_2d.h"
 
 // FORWARD DECLARATION
@@ -14,15 +13,17 @@
 //! This is part of the openglGUI class
 /**
- *
+ * A widget is the main class of all the elements of th GUI.
  */
-class GLGui : public GLGui {
+class GLGuiWidget : public Element2D {
 
  public:
-  GLGui();
-  virtual ~GLGui();
+  GLGuiWidget();
+  virtual ~GLGuiWidget();
 
   void init();
 
   virtual void draw();
+  virtual void update();
+
 
  private:
@@ -30,3 +31,3 @@
 };
 
-#endif /* _GLGUI__H */
+#endif /* _GLGUI_WIDGET_H */